Subject: [Nea] [Technical Errata Reported] RFC5792 (3935)

From: RFC Errata System <[email-masked]>
Date: Thu, 27 Mar 2014 07:18:47 -0700 (PDT)

The following errata report has been submitted for RFC5792,
"PA-TNC: A Posture Attribute (PA) Protocol Compatible with Trusted Network Connect (TNC)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5792&eid=3935

--------------------------------------
Type: Technical
Reported by: Steve Hanna <[email-masked]>

Section: 3.1

Original Text
-------------
Each PA-TNC message may
contain one or more attributes associated with the functional
component identified in the component type (PA Subtype) of the
Posture Broker (PB) protocol.

Corrected Text
--------------
Each PA-TNC message may
contain zero or more attributes associated with the functional
component identified in the component type (PA Subtype) of the
Posture Broker (PB) protocol.

Notes
-----
Section 4 of RFC 5792 says “A PA-TNC message MUST contain a PA-TNC header (defined in section 3.6. followed by a sequence of zero or more PA-TNC attributes.” This contradicts the text in section 3.1, which says “one or more”. The correct text is “zero or more”. There’s no reason why a PA-TNC message containing zero attributes should be prohibited. For PA-TNC messages with some PA subtypes, an empty message containing no attributes may be enough.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5792 (draft-ietf-nea-pa-tnc-06)
--------------------------------------
Title               : PA-TNC: A Posture Attribute (PA) Protocol Compatible with Trusted Network Connect (TNC)
Publication Date    : March 2010
Author(s)           : P. Sangster, K. Narayan
Category            : PROPOSED STANDARD
Source              : Network Endpoint Assessment
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 27 Mar 2014 14:20:57 +0000

Given that the WG chair is the reporter here I guess this
is probably going to be ok to approve.

I'll do so next week if nobody complains.

But, Steve (H) please do send me a reminder? Errata are
not naturally top of my list of things to do :-)

Cheers,
S.

---

From: Stephen Hanna <[email-masked]>
Date: Thu, 27 Mar 2014 14:27:36 +0000

Steve,

The Trusted Computing Group team found these two errors when
we were writing compliance tests for PA-TNC (which we call
IF-M). Nothing like writing code to uncover bugs!

I'll send you a reminder next week on these. If anyone has
any further comments on the errata, please speak up now.

Thanks,

Steve

> -----Original Message-----
> From: Nea [mailto:[email-masked]] On Behalf Of Stephen Farrell
> Sent: Thursday, March 27, 2014 10:21 AM
> To: RFC Errata System; [email-masked]; [email-masked];
> [email-masked]; Stephen Hanna; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Nea] [Technical Errata Reported] RFC5792 (3935)
> 
> 
> > Section 4 of RFC 5792 says "A PA-TNC message MUST contain a PA-TNC
> header (defined in section 3.6. followed by a sequence of zero or more
> PA-TNC attributes." This contradicts the text in section 3.1, which
> says "one or more". The correct text is "zero or more". There's no
> reason why a PA-TNC message containing zero attributes should be
> prohibited. For PA-TNC messages with some PA subtypes, an empty message
> containing no attributes may be enough.
> >
> > Instructions:
> > -------------
> > Title               : PA-TNC: A Posture Attribute (PA) Protocol
> Compatible with Trusted Network Connect (TNC)
> _______________________________________________
> Nea mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nea
>